%define name    xinitrc
%define version 2.4.19
%define subrel 1
%define release %mkrel 2

Summary:	The default startup script for the X Window System
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.mandrivalinux.com/

Source0: 	gdm.conf
Source1: 	GiveConsole
Source2: 	kdm.conf
Source3: 	TakeConsole
Source4: 	x11-Xresources
Source5: 	Xaccess
Source6: 	xdm.conf
Source7: 	xdm-config
Source8: 	xdm-Xsession
Source9: 	xinitrc-fixkeyboard
Source10: 	xinitrc-Mod_Meta_L_Disable
Source11: 	xinitrc-RunWM
Source12: 	xinitrc-Xclients
Source13: 	xinitrc-XIM
Source14: 	xinitrc-xinitrc
Source15: 	xinitrc-Xmodmap
Source16: 	Xresources
Source17: 	Xservers
Source18: 	Xsession
Source19: 	Xsetup_0
Source20: 	Xwilling
Source21: 	xdm-Xstartup
Source22: 	xdm-Xreset

License:	Public Domain
Group:		System/X11
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	x11-server-xorg
Requires:	x11-server-common
Requires:	xdpyinfo
Requires:	xmodmap
Requires:	xsetroot
Requires:	/bin/sh
Requires: 	/bin/grep
Requires: 	sessreg
Requires:   	xrdb
Conflicts:	initscripts < 6.87-2mdk
Conflicts:	gdm < 2.8.0.0
BuildArchitectures:	noarch

%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window manager.

#%prep

#%setup -q

%install
rm -rf $RPM_BUILD_ROOT

R=$RPM_BUILD_ROOT/
S=%{_sourcedir}
	
mkdir -p $R%{_sysconfdir}/X11/{xdm,xinit}
install -m755 $S/Xsession $R%{_sysconfdir}/X11/
install -m644 $S/x11-Xresources $R%{_sysconfdir}/X11/Xresources

mkdir $R%{_sysconfdir}/X11/{xinit,xsetup}.d
install -m 755 $S/xinitrc-Mod_Meta_L_Disable $R%{_sysconfdir}/X11/xinit.d/Mod_Meta_L_Disable
mkdir $R%{_sysconfdir}/X11/wmsession.d
install -m755 $S/Xwilling $S/Xsetup_0 $S/TakeConsole $S/GiveConsole $R%{_sysconfdir}/X11/xdm
install -m644 $S/xdm-config $S/Xservers $S/Xresources $S/Xaccess $R%{_sysconfdir}/X11/xdm
install -m755 $S/xdm-Xsession $R%{_sysconfdir}/X11/xdm/Xsession

install -m755 $S/xdm-Xreset $R%{_sysconfdir}/X11/xdm/Xreset
install -m755 $S/xdm-Xstartup $R%{_sysconfdir}/X11/xdm/Xstartup

install -m644 $S/xinitrc-Xmodmap $R%{_sysconfdir}/X11/Xmodmap
for i in xinitrc Xclients fixkeyboard XIM; do install -m755 $S/xinitrc-$i $R%{_sysconfdir}/X11/xinit/$i;done

mkdir -p $R%{_bindir}/
install -m755 $S/xinitrc-RunWM $R%{_bindir}/RunWM
for i in Fvwm95 MWM AfterStep WindowMaker; do ln -sf RunWM $R%{_bindir}/RunWM.$$i;done

mkdir $R%{_sysconfdir}/X11/dm.d
install -m644 $S/kdm.conf $R%{_sysconfdir}/X11/dm.d/10kdm.conf
install -m644 $S/gdm.conf $R%{_sysconfdir}/X11/dm.d/20gdm.conf
install -m644 $S/xdm.conf $R%{_sysconfdir}/X11/dm.d/30xdm.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/Xmodmap
%config(noreplace) %{_sysconfdir}/X11/Xresources
%config(noreplace) %{_sysconfdir}/X11/dm.d/*
%config(noreplace) %{_sysconfdir}/X11/xdm/Xaccess
%config(noreplace) %{_sysconfdir}/X11/xdm/Xresources
%config(noreplace) %{_sysconfdir}/X11/xdm/Xservers
%config(noreplace) %{_sysconfdir}/X11/xdm/xdm-config
%dir %{_sysconfdir}/X11/dm.d
%dir %{_sysconfdir}/X11/wmsession.d
%dir %{_sysconfdir}/X11/xdm
%dir %{_sysconfdir}/X11/xinit
%dir %{_sysconfdir}/X11/xinit.d
%dir %{_sysconfdir}/X11/xsetup.d
%{_sysconfdir}/X11/Xsession
%{_sysconfdir}/X11/xdm/GiveConsole
%{_sysconfdir}/X11/xdm/TakeConsole
%{_sysconfdir}/X11/xdm/Xsession
%{_sysconfdir}/X11/xdm/Xsetup_0
%{_sysconfdir}/X11/xdm/Xwilling
%{_sysconfdir}/X11/xdm/Xstartup
%{_sysconfdir}/X11/xdm/Xreset
%{_sysconfdir}/X11/xinit.d/Mod_Meta_L_Disable
%{_sysconfdir}/X11/xinit/XIM
%{_sysconfdir}/X11/xinit/Xclients
%{_sysconfdir}/X11/xinit/fixkeyboard
%{_sysconfdir}/X11/xinit/xinitrc
%{_bindir}/*




%changelog
* Thu May 31 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.4.19-2.1mdv2007.1
+ Revision: 33419
- Backport fix for #28129 (broken sessreg) from cooker:
- changing xdm configuration: {Give,Take}Console scripts should not include
  calls to sessreg, since they're used by other login managers which have
  their own sessreg call or similar mechanism. Now xdm uses the standard,
  documented files: Xstartup and Xreset as start/reset files and inside
  them we put calls to sessreg.
  Besides, sessreg has to be exec'ed, otherwise the call has no effect
  since it registers the parent PID on {u,w}tmp files.
- Specify color for color app defaults (from cooker, r24097)
  (fix for #30514)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Wed Mar 07 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.18-3mdv2007.0
+ Revision: 134372
- the logic in Mod_Meta_L_Disable was inverted. (#21600)

* Mon Mar 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.18-2mdv2007.1
+ Revision: 133252
- Xsetup_0 should call kde3.sh not kde.sh (#29096)

* Fri Feb 09 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.18-1mdv2007.1
+ Revision: 118612
- We don't need a xinitrc.spec under SOURCES
- Fix Login text display in xdm (#14060).
- xinitrc won't land on CVS anymore. All changes should be done directly to the
  xinitrc's files in svn.

  + Olivier Blin <oblin@mandriva.com>
    - Import xinitrc

* Tue Aug 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.17-3mdv2007.0
- Xsession requires xrdb (thanks Laurent for poiting that)
- GiveConsole requires sessreg (#23370)

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.17-2mdv2007.0
- Add missing dependencies

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com: 2.4.17-1mdk
- Fixed dependencies

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.16-1mdk
- Fixed package to work in the new X.org package layout

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.4.15-1mdk
- remove X defaults for emacs (Nick Brown, #10168)

* Mon Jun 13 2005 Frederic Lepied <flepied@mandriva.com> 2.4.14-1mdk
- Xsession: don't handle ssh-agent here (bug #12750).
- Xresources: removed resources for emacs (bug #10168).
- Xsetup_0: don't set the background (bug #15758).
- gdm.conf: fix gdm path (bug #16392).
- xinitrc-fixkeyboard: detect X.Org too (bug #12556).

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 2.4.13-1mdk
- removed DISPLAYMANAGER field in kdm, gdm and xdm config files.

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 2.4.12.1-1mdk
- kdm.conf: fixed package name.
- fixed permissions and config file flags.

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 2.4.12-1mdk
- Xsession: fixed default desktop case.
- provide the prefdm config files for xdm, kdm and gdm.

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.11-3mdk 
- Set BROWSER to www-browser only (if not set)

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.11-2mdk
- Really force dpi

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.11-1mdk
- Force Xft.dpi, since we still dpi detection is often wrong (Mdk bug #11538)

* Sat Sep 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.4.10-1mdk
- fixed syntax error (bug #11157)

* Thu Mar 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.4.9-1mdk
- Xsetup_0: use /etc/X11/xsetup.d

